RNAlib-2.1.8

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
part_func_up.h File Reference
Partition Function for two hybridized Sequences as a stepwise Process

Partition Function Cofolding as stepwise process. More...

Include dependency graph for part_func_up.h:

Go to the source code of this file.

## Functions

pu_contrib * | pf_unstru (char *sequence, int max_w)
| Calculate the partition function over all unpaired regions of a maximal length.
interact * | pf_interact (const char *s1, const char *s2, pu_contrib *p_c, pu_contrib *p_c2, int max_w, char *cstruc, int incr3, int incr5)
| Calculates the probability of a local interaction between two sequences.
void | free_interact (interact *pin)
| Frees the output of function pf_interact().
void | free_pu_contrib_struct (pu_contrib *pu)
| Frees the output of function pf_unstru().

## Detailed Description

Partition Function Cofolding as stepwise process.

In this approach to cofolding the interaction between two RNA molecules is seen as a stepwise process. In a first step, the target molecule has to adopt a structure in which a binding site is accessible. In a second step, the ligand molecule will hybridize with a region accessible to an interaction. Consequently the algorithm is designed as a two step process: The first step is the calculation of the probability that a region within the target is unpaired, or equivalently, the calculation of the free energy needed to expose a region. In the second step we compute the free energy of an interaction for every possible binding site.